#include <bits/stdc++.h>

using namespace std;

int main ()
{
    int n, m, p[n][m];
    int a = 0;
    int b = 1;
    cin >> n >> m;
    for (int i = 0; i < n; i++)
    {
        for (int i = 0; i < m; i++)
        {
            cin >> p[n][m];
        }
    }
    if (n % 2 == 0)
    {
        cout << a;
    }
    else
    {
        cout << b;
    }
    return 0;
}